[SOLVED] Update to 2.3.0 failed

Tags: #<Tag:0x00007f6173428278> #<Tag:0x00007f61734281b0> #<Tag:0x00007f6173428098>

Hello again, I tried to update to latest stable 2.3.0 and it failed.
See here for the start

https://community.openhab.org/t/proper-way-to-update-from-2-3-0-snaphot-to-stable-release-on-openhabian-pi/45865/8

Update seems to go well, but when I restart the openhab service, it doesn’t work, log below

Thanks for any advice

EDIT FIXED

I eventually fixed it with this
https://community.openhab.org/t/can-not-start-after-nightly-update/22934/4?u=aymeric106

sudo apt-get remove openhab2
sudo apt-get remove openhab2-addons

Do NOT do purge then you lose your configuration

sudo apt-get install openhab2
sudo apt-get install openhab2-addons

Aymeric

2018-06-02 15:27:16.974 [ERROR] [org.eclipse.smarthome.core.audio    ] - FrameworkEvent ERROR - org.eclipse.smarthome.core.audio

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.core.audio [102]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.config.core

    -> Export-Package: org.eclipse.smarthome.config.core; bundle-symbolic-name="org.eclipse.smarthome.config.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.config.core [96]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.osgi

           -> Export-Package: org.eclipse.smarthome.core.common.osgi; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

              org.eclipse.smarthome.core [101]

                Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                Unresolved requirement: Import-Package: tec.uom.lib.common

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common

           -> Export-Package: org.eclipse.smarthome.core.common; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.registry

    -> Export-Package: org.eclipse.smarthome.core.common.registry; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.032 [ERROR] [rg.eclipse.smarthome.core.autoupdate] - FrameworkEvent ERROR - org.eclipse.smarthome.core.autoupdate

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.core.autoupdate [103]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.events

    -> Export-Package: org.eclipse.smarthome.core.events; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"; uses:="org.eclipse.smarthome.core.items,org.osgi.service.event,org.eclipse.smarthome.core.types"

       org.eclipse.smarthome.core [101]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: tec.uom.lib.common

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.items

    -> Export-Package: org.eclipse.smarthome.core.items; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"; uses:="org.eclipse.smarthome.core.types,org.eclipse.smarthome.core.events"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.045 [ERROR] [g.eclipse.smarthome.core.persistence] - FrameworkEvent ERROR - org.eclipse.smarthome.core.persistence

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.core.persistence [106]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.config.core

    -> Export-Package: org.eclipse.smarthome.config.core; bundle-symbolic-name="org.eclipse.smarthome.config.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.config.core [96]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.osgi

           -> Export-Package: org.eclipse.smarthome.core.common.osgi; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

              org.eclipse.smarthome.core [101]

                Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                Unresolved requirement: Import-Package: tec.uom.lib.common

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common

           -> Export-Package: org.eclipse.smarthome.core.common; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.registry

    -> Export-Package: org.eclipse.smarthome.core.common.registry; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.060 [ERROR] [org.eclipse.smarthome.core.voice    ] - FrameworkEvent ERROR - org.eclipse.smarthome.core.voice

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.core.voice [111]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.audio

    -> Export-Package: org.eclipse.smarthome.core.audio; bundle-symbolic-name="org.eclipse.smarthome.core.audio"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.core.audio [102]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.config.core

           -> Export-Package: org.eclipse.smarthome.config.core; bundle-symbolic-name="org.eclipse.smarthome.config.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

              org.eclipse.smarthome.config.core [96]

                Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.osgi

                  -> Export-Package: org.eclipse.smarthome.core.common.osgi; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

                     org.eclipse.smarthome.core [101]

                       Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                       Unresolved requirement: Import-Package: tec.uom.lib.common

                Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common

                  -> Export-Package: org.eclipse.smarthome.core.common; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.registry

    -> Export-Package: org.eclipse.smarthome.core.common.registry; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.config.core

    -> Export-Package: org.eclipse.smarthome.config.core; bundle-symbolic-name="org.eclipse.smarthome.config.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.082 [ERROR] [org.eclipse.smarthome.io.console    ] - FrameworkEvent ERROR - org.eclipse.smarthome.io.console

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.io.console [112]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.registry

    -> Export-Package: org.eclipse.smarthome.core.common.registry; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.core [101]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: tec.uom.lib.common

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.events

    -> Export-Package: org.eclipse.smarthome.core.events; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"; uses:="org.eclipse.smarthome.core.items,org.osgi.service.event,org.eclipse.smarthome.core.types"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.095 [ERROR] [org.eclipse.smarthome.io.javasound  ] - FrameworkEvent ERROR - org.eclipse.smarthome.io.javasound

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.io.javasound [114]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.library.types

    -> Export-Package: org.eclipse.smarthome.core.library.types; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.core [101]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: tec.uom.lib.common

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.audio

    -> Export-Package: org.eclipse.smarthome.core.audio; bundle-symbolic-name="org.eclipse.smarthome.core.audio"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.core.audio [102]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.config.core

           -> Export-Package: org.eclipse.smarthome.config.core; bundle-symbolic-name="org.eclipse.smarthome.config.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

              org.eclipse.smarthome.config.core [96]

                Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.osgi

                  -> Export-Package: org.eclipse.smarthome.core.common.osgi; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

                Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common

                  -> Export-Package: org.eclipse.smarthome.core.common; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.registry

           -> Export-Package: org.eclipse.smarthome.core.common.registry; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.121 [ERROR] [org.eclipse.smarthome.io.net        ] - FrameworkEvent ERROR - org.eclipse.smarthome.io.net

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.io.net [116]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.osgi.service.http

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.library.types

    -> Export-Package: org.eclipse.smarthome.core.library.types; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.core [101]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: tec.uom.lib.common

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.127 [ERROR] [org.eclipse.smarthome.io.rest.voice ] - FrameworkEvent ERROR - org.eclipse.smarthome.io.rest.voice

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.io.rest.voice [123]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.voice.text

    -> Export-Package: org.eclipse.smarthome.core.voice.text; bundle-symbolic-name="org.eclipse.smarthome.core.voice"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.core.voice [111]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.audio

           -> Export-Package: org.eclipse.smarthome.core.audio; bundle-symbolic-name="org.eclipse.smarthome.core.audio"; bundle-version="0.10.0.oh230"; version="0.0.0"

              org.eclipse.smarthome.core.audio [102]

                Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                Unresolved requirement: Import-Package: org.eclipse.smarthome.config.core

                  -> Export-Package: org.eclipse.smarthome.config.core; bundle-symbolic-name="org.eclipse.smarthome.config.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

                     org.eclipse.smarthome.config.core [96]

                       Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                       Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common

                         -> Export-Package: org.eclipse.smarthome.core.common; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

                            org.eclipse.smarthome.core [101]

                              Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                              Unresolved requirement: Import-Package: tec.uom.lib.common

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.registry

           -> Export-Package: org.eclipse.smarthome.core.common.registry; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.config.core

           -> Export-Package: org.eclipse.smarthome.config.core; bundle-symbolic-name="org.eclipse.smarthome.config.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.voice

    -> Export-Package: org.eclipse.smarthome.core.voice; bundle-symbolic-name="org.eclipse.smarthome.core.voice"; bundle-version="0.10.0.oh230"; version="0.0.0"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.auth

    -> Export-Package: org.eclipse.smarthome.core.auth; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.136 [ERROR] [org.eclipse.smarthome.io.webaudio   ] - FrameworkEvent ERROR - org.eclipse.smarthome.io.webaudio

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.io.webaudio [125]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.events

    -> Export-Package: org.eclipse.smarthome.core.events; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"; uses:="org.eclipse.smarthome.core.items,org.osgi.service.event,org.eclipse.smarthome.core.types"

       org.eclipse.smarthome.core [101]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: tec.uom.lib.common

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.audio

    -> Export-Package: org.eclipse.smarthome.core.audio; bundle-symbolic-name="org.eclipse.smarthome.core.audio"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.core.audio [102]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.config.core

           -> Export-Package: org.eclipse.smarthome.config.core; bundle-symbolic-name="org.eclipse.smarthome.config.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

              org.eclipse.smarthome.config.core [96]

                Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.osgi

                  -> Export-Package: org.eclipse.smarthome.core.common.osgi; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

                Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common

                  -> Export-Package: org.eclipse.smarthome.core.common; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.registry

           -> Export-Package: org.eclipse.smarthome.core.common.registry; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.142 [ERROR] [org.eclipse.smarthome.model.core    ] - FrameworkEvent ERROR - org.eclipse.smarthome.model.core

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.model.core [126]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.config.core

    -> Export-Package: org.eclipse.smarthome.config.core; bundle-symbolic-name="org.eclipse.smarthome.config.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.config.core [96]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.osgi

           -> Export-Package: org.eclipse.smarthome.core.common.osgi; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

              org.eclipse.smarthome.core [101]

                Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

                Unresolved requirement: Import-Package: tec.uom.lib.common

         Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common

           -> Export-Package: org.eclipse.smarthome.core.common; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

  Unresolved requirement: Import-Package: com.google.inject

    -> Export-Package: com.google.inject; bundle-symbolic-name="com.google.inject"; aop="false"; bundle-version="3.0.0.v201312141243"; version="1.3.0"

       com.google.inject [24]

         Unresolved requirement: Import-Package: javax.inject

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.service

    -> Export-Package: org.eclipse.smarthome.core.service; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.171 [ERROR] [org.eclipse.smarthome.model.rule    ] - FrameworkEvent ERROR - org.eclipse.smarthome.model.rule

org.osgi.framework.BundleException: Could not resolve module: org.eclipse.smarthome.model.rule [134]

  Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.common.registry

    -> Export-Package: org.eclipse.smarthome.core.common.registry; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"

       org.eclipse.smarthome.core [101]

         Unresolved requirement: Import-Package: org.eclipse.jdt.annotation; resolution:="optional"

         Unresolved requirement: Import-Package: tec.uom.lib.common

  Unresolved requirement: Import-Package: org.eclipse.smarthome.core.events

    -> Export-Package: org.eclipse.smarthome.core.events; bundle-symbolic-name="org.eclipse.smarthome.core"; bundle-version="0.10.0.oh230"; version="0.0.0"; uses:="org.eclipse.smarthome.core.items,org.osgi.service.event,org.eclipse.smarthome.core.types"

	at org.eclipse.osgi.container.Module.start(Module.java:444) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) [?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

2018-06-02 15:27:17.177 [ERROR] [eclipse.smarthome.model.rule.runtime] - FrameworkEvent ERROR - org.eclipse.smarthome.model.rule.runtime

etc etc
1 Like

I tried the above fix and Eclipse still won’t start.

Try to remove + reinstall as shown in the fix posting but don’t forget to delete the cache after the remove step.
If that still does not work consider moving to latest testing milestone (2.4M4), there have been some changes and fixes to Karaf and package dependencies since.

Performed the remove, clear cache and reinstall and still no luck.

What is the latest version command to upgrade?

sudo apt install openhab2=2.4M4
sudo apt install openhab2-addons=2.4M4
sudo apt install openhab2-addons-legacy=2.4M4

If I go to the unstable version and it still doesn’t work, can I easily downgrade to the stable version?

I have a feeling this has more to do with java issues than openhab versions because it stopped working after I upgraded java to get the zwave binding working again.

Yes but note the breaking changes with the zwave binding these require you to delete+rediscover your zwave things on every upgrade as well as downgrade from 2.3 to 2.4M4 or back.

Yes that’s more likely.
Well then, try downgrading or at least to re-install Java again. You didn’t mention which system and java you run., might be worth trying Oracle or Zulu.
Best is to go back to a stage where everything worked. You have a backup of your system before the upgrade, don’t you ?

I do have backups of my config, I’ll try a fresh install and see if I can get back to my previous release.